Package org.apache.sling.installer.api.tasks

# Enum ResourceState

java.lang.Object
java.lang.Enum<ResourceState>
org.apache.sling.installer.api.tasks.ResourceState

All Implemented Interfaces:
  `Serializable`, `Comparable<ResourceState>`

public enum ResourceState extends Enum<ResourceState>
The state of a resource. The state represents the OSGi installer's view. It might not reflect the current state of the system. For example if a bundle is installed through the OSGi installer, it gets the state "INSTALLED". However if the admin now deinstalls the bundle through any other way like e.g. the web console, the artifact still has the state "INSTALLED". The state "INSTALLED" might either mean installed or if the attribute `TaskResource.ATTR_INSTALL_EXCLUDED` is set on the resource, the resource is excluded from installation. It gets also marked as "INSTALLED" in order to mark it as "processed" for the OSGi installer.

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`IGNORED`
`INSTALL`
`INSTALLED`
`UNINSTALL`
`UNINSTALLED`

## Method Summary

Modifier and Type
Method
Description
`static ResourceState`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ResourceState[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### INSTALL

public static final ResourceState INSTALL

### UNINSTALL

public static final ResourceState UNINSTALL

### INSTALLED

public static final ResourceState INSTALLED

### UNINSTALLED

public static final ResourceState UNINSTALLED

### IGNORED

public static final ResourceState IGNORED

## Method Details

### values

public static ResourceState[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static ResourceState valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null